Loading...
Searching...
No Matches
Dune::PropertyMapTypeSelector< T, C > Struct Template Reference

Selector for the property map type. More...

`#include <dune/common/propertymap.hh>`

## Public Types

typedef T | Tag
| the tag identifying the property.
typedef C | Container
| The container type to whose entries the properties are attached.

## Detailed Description

template<typename T, typename C>
struct Dune::PropertyMapTypeSelector< T, C >

Selector for the property map type.

If present the type of the property map is accessible via the typedef Type.

## Member Typedef Documentation

## Container

template<typename T, typename C>

typedef C Dune::PropertyMapTypeSelector< T, C >::Container

The container type to whose entries the properties are attached.

## Tag

template<typename T, typename C>

typedef T Dune::PropertyMapTypeSelector< T, C >::Tag

the tag identifying the property.

The documentation for this struct was generated from the following file:

- propertymap.hh